diff gsm-fw/cfgmagic/processconf.sh @ 207:c70c077243dd

gsm-fw: beginning of config magic for FFS
author Michael Spacefalcon <msokolov@ivan.Harhan.ORG>
date Wed, 25 Dec 2013 08:40:20 +0000
parents df335d255ac4
children 2a26785fb5a2
line wrap: on
line diff
--- a/gsm-fw/cfgmagic/processconf.sh	Mon Dec 23 19:32:22 2013 +0000
+++ b/gsm-fw/cfgmagic/processconf.sh	Wed Dec 25 08:40:20 2013 +0000
@@ -4,7 +4,7 @@
 # that configuration file and to produce include/config.{h,mk,m4} files
 # corresponding to the selected configuration.
 #
-# The current directory is expected to be the top level of nuc-fw, i.e.,
+# The current directory is expected to be the top level of gsm-fw, i.e.,
 # all fragments are sourced as cfgmagic/blah.
 # Don't run this script directly - let the Makefile do it for you.
 
@@ -16,6 +16,7 @@
 m4_export_list=
 
 # some defaults
+FFS_IN_RAM=1
 RVTMUX_UART_port=IrDA
 RVTMUX_UART_baud=115200
 
@@ -36,7 +37,7 @@
 		export_to_c CONFIG_RVTMUX_ON_MODEM
 		;;
 	*)
-		echo "Error: unknown RTVMUX_UART_port=$RTVMUX_UART_port" 1>&2
+		echo "Error: unknown RVTMUX_UART_port=$RVTMUX_UART_port" 1>&2
 		exit 1
 		;;
 esac
@@ -44,6 +45,23 @@
 TR_BAUD_CONFIG=TR_BAUD_$RVTMUX_UART_baud
 export_to_c TR_BAUD_CONFIG
 
+# FFS in RAM
+export_to_c	FFS_IN_RAM
+export_to_m4	FFS_IN_RAM
+if [ $FFS_IN_RAM = 1 ]
+then
+	if [ -z "$RAMFFS_BLKSIZE_LOG2" -o -z "$RAMFFS_NBLOCKS" ]
+	then
+		echo \
+	"Error: RAMFFS_BLKSIZE_LOG2 and RAMFFS_NBLOCKS need to be defined" 1>&2
+		exit 1
+	fi
+	export_to_c	RAMFFS_BLKSIZE_LOG2
+	export_to_m4	RAMFFS_BLKSIZE_LOG2
+	export_to_c	RAMFFS_NBLOCKS
+	export_to_m4	RAMFFS_NBLOCKS
+fi
+
 # At some point the list of build components will probably become
 # dependent on feature or maybe even target configurations, but for
 # now it is static.